Metadata-Version: 2.4
Name: astrocyte-elasticsearch
Version: 0.7.6
Summary: Elasticsearch DocumentStore adapter for Astrocyte
License-Expression: Apache-2.0
Requires-Python: >=3.11
Requires-Dist: astrocyte
Requires-Dist: elasticsearch[async]<9,>=8.12
Provides-Extra: dev
Requires-Dist: pytest-asyncio>=0.23; extra == 'dev'
Requires-Dist: pytest>=8.0; extra == 'dev'
Description-Content-Type: text/markdown

# astrocyte-elasticsearch

[Elasticsearch](https://www.elastic.co/) adapter implementing Astrocyte’s `DocumentStore` protocol (BM25 full-text).

## Usage

```python
from astrocyte_elasticsearch import ElasticsearchDocumentStore

store = ElasticsearchDocumentStore(url="http://localhost:9200")
```

## Development

```bash
uv sync --extra dev
uv run pytest
```

Set `ASTROCYTE_ELASTICSEARCH_URL` (default `http://127.0.0.1:9200`).
